#include<bits/stdc++.h>
using namespace std;
#define endl '\n'
string s;
long long n;
void ceasar();
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(nullptr);
    cout.tie(nullptr);
    getline(cin,s);
    cin>>n;
    ceasar();
    return 0;
}
void ceasar()
{
    for(int i=0; i<s.size(); i++)
    {
        if(!isalpha(s[i])) cout<<s[i];
        else cout<<char((((s[i]-n)-'a')%26)+'a');
    }
    cout<<endl;
}
